#include "master_shader.h"

master_shader::master_shader()
{
    // Initialize shader filenames
    wcscpy_s(vs_filename_, 128, vs_name_);
    wcscpy_s(ps_filename_, 128, ps_name_);
    
}

master_shader::~master_shader()
{
    // Destructor implementation
}

bool master_shader::initialize(ID3D11Device* device, HWND hwnd)
{
    LOG_INIT("Initializing master_shader");

    bool success = false;

    R_TRUE
}